variable "gamma_ssh_key_name" {}
variable "gamma_public_key_path" {}

variable "gamma_instance_type" {}
variable "gamma_ami_id" {}

resource "aws_key_pair" "gamma_ssh" {
  key_name = var.gamma_ssh_key_name
  public_key = file(var.gamma_public_key_path)
}

resource "aws_instance" "gamma" {
  ami = var.gamma_ami_id
  instance_type = var.gamma_instance_type

  key_name = var.gamma_ssh_key_name

  private_ip = "10.0.0.153"

  security_groups = [ aws_security_group.gamma_sec.id  ]
  subnet_id = aws_subnet.crete_subnet.id
  tags = {
    Name = "Gamma Host"
  }
}

